package com.pj.api.dto;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 09 01 19 50
 **/
public class CollageOrdersDto {
    private Long id;

    /**
     * 贸易区域id
     */
    private Long tradeAreaId;

    /**
     * 贸易区域名称
     */
    private String tradeAreaName;

    /**
     * 订单编号
     */
    private String orderNo;

    /**
     * 合作社ID
     */
    private String cooperativeId;

    /**
     * 合作社名称
     */
    private String cooperativeName;

    /**
     * 总金额
     */
    private Double totalPrice;

    /**
     * 进境边民确认
     */
    private String entryPeopleStatus;

    /**
     * 进境组长确认
     */
    private String entryLeaderStatus;

    /**
     * 进境报关企业确认
     */
    private String entryCustomsStatus;

    /**
     * 进境申报单号
     */
    private String entryNo;

    /**
     * 进境申报时间
     */
    private Date entryTime;

    /**
     * 进境申报结果
     */
    private String entryResult;

    /**
     * 进境申报失败理由
     */
    private String entryFailReason;

    /**
     * 订单边民确认
     */
    private String peopleConfirmStatus;

    /**
     * 订单边民确认时间
     */
    private Date peopleConfirmTime;

    /**
     * 进口组长确认时间
     */
    private Date importLeaderTime;

    /**
     * 进口边民确认时间
     */
    private Date importPeopleTime;

    /**
     * 进口组长确认
     */
    private String importLeaderStatus;

    /**
     * 进口边民确认
     */
    private String importPeopleStatus;

    /**
     * 进口申报单号
     */
    private String importNo;

    /**
     * 进口申报时间
     */
    private Date importTime;

    /**
     * 是否收货
     */
    private String isDelivery;

    /**
     * 订单完成状态(0=未完成,1=已完成)
     */
    private String orderFinish;

    /**
     * 司机ID
     */
    private Long driverId;

    /**
     * 司机名称
     */
    private String driverName;

    /**
     * 司机电话
     */
    private String driverPhone;

    /**
     * 车ID
     */
    private Long carId;

    /**
     * 车名称
     */
    private String carType;

    /**
     * 车牌号
     */
    private String vehiclePlate;

    /**
     * 装货地址
     */
    private String loadingAddress;

    /**
     * 卸货地址
     */
    private String unloadingAddress;

    /**
     * 创建人编号
     */
    private Long createBy;

    /**
     * 创建人名称
     */
    private String createName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人编号
     */
    private Long updateBy;

    /**
     * 更新人名称
     */
    private String updateName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除状态(0=禁用,1=启用)
     */
    private Integer deleteStatus;

    /**
     * 预申报编号
     */
    private String platSeqNo;

    /**
     * 申报单编号
     */
    private String declareId;

    /**
     * 1-边民，2-商铺业主或其代理人，3-合作社代表，4-互助组代表
     */
    private String declareType;

    /**
     * 申报人姓名
     */
    private String declareName;

    /**
     * 身份证号码
     */
    private String idno;

    /**
     * 商铺编码
     */
    private String shopNo;

    /**
     * 商铺名称
     */
    private String shopName;

    /**
     * 申报人类别为3、4 时互助组/合作社备案编号
     */
    private String orgPutrecNo;

    /**
     * 申报人类别为3、4 时互助组/合租社名称
     */
    private String orgName;

    /**
     * 申报人类别为4 时边民合作社社会统一信用代码
     */
    private String orgScc;

    /**
     *  运输工具名称
     */
    private String veNo;

    /**
     * 业务模式, 进出口标志为进口时，01 区内交易、02 落地加工、03 原装提离。进出口标 志 为 出 口时，04：直接出口，05：出口销售。
     */
    private String btrnbBizModecd;

    /**
     * 商品流向, 进出口标志为进口时，必填，01-二次销售；02-生活自用；03-落地加工；
     */
    private String gFlow;

    /**
     * 进出口标志：I进口 E 出口
     */
    private String iEFlag;

    /**
     * 监管场所编号
     */
    private String fieldCode;

    /**
     * 监管场所名称
     */
    private String fieldName;

    /**
     * 申报口岸代码
     */
    private String customsCode;

    /**
     * 1-是、0-否
     */
    private String carPool;

    /**
     * 总金额
     */
    private Double sumAmt;

    /**
     * 总毛重
     */
    private Double sumGrossWt;

    /**
     * 总净重
     */
    private Double sumNetWt;

    /**
     * 运输方式
     */
    private String trafMode;

    /**
     * 币制
     */
    private String currCode;

    /**
     * 件数，正整数
     */
    private Long packNo;

    /**
     * 申 报 时 间 ：yyyy-MM-dd HH:mm:ss
     */
    private Date declTime;

    /**
     * 提运单号
     */
    private String billNo;

    /**
     * 运输工具航次(班)号
     */
    private String voyageNo;

    /**
     * 商品名称，多个用英文逗号分割
     */
    private String goodsNames;

    /**
     * 购买边民列表[     { "platSeqNo": "进出境申报单预申报编号",        "borderName": "边民姓名", "idno": "身份证号",        "borderPutrecNo": "边民备案编号",        "settleBillNo": "结算单号", "buyAmount": "申报金额", "netWt": "净重", "grossWt": "毛重",        "buyQty": "申报数量", "buyQty1": "第一数量",        "buyQty2": "第二数量", "preIeportNo": "进出口预申报单号"     }]
     */
    private String bordersList;

    /**
     * 边民购买商品列表[     { "platSeqNo": "进出境申报单预申报编号",        "borderName": "边民姓名",        "idno": "身份证号",           "borderPutrecNo": "边民备案编号",        "buyAmount": "申报金额",        "netWt": "净重",          "grossWt": "毛重",        "buyQty": "申报数量",        "buyQty1": "第一数量",        "buyQty2": "第二数量",        "preIeportNo": "进出口预申报单号",        "codeTs": "商品编码",        "goodsName": "商品名称"      }]
     */
    private String borderBuyGoodsList;

    /**
     * 商铺卖货物列表[       { "platSeqNo": "进出境申报单预申报编号",           "gNo": "预申报编号", "codeTs": "商品编码",           "gName": "商品名称", "gModel": "规格型号",           "storageEnvm": "储存条件：常温 1：冷藏，2：冷冻：3",            "useTo": "用途：01 食用、02 工业用、03 药用、04 种用、05 饲用、06 其他",           "grossWt": "毛重",            "netWt": "净重",            "originCountry": "产销国",            "gQty": "货物数量",            "qty1": "第一数量",            "qty2": "第二数量",            "gUnit": "计量单位",            "unit1": "第一计量单位",            "unit2": "第二计量单位",            "declPrice": "单价",            "declTotal": "总价"       }]
     */
    private String sellGoodsList;

    /**
     * 完成状态
     */
    private Integer finishStatus;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getCooperativeId() {
        return cooperativeId;
    }

    public void setCooperativeId(String cooperativeId) {
        this.cooperativeId = cooperativeId;
    }

    public String getCooperativeName() {
        return cooperativeName;
    }

    public void setCooperativeName(String cooperativeName) {
        this.cooperativeName = cooperativeName;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getEntryPeopleStatus() {
        return entryPeopleStatus;
    }

    public void setEntryPeopleStatus(String entryPeopleStatus) {
        this.entryPeopleStatus = entryPeopleStatus;
    }

    public String getEntryLeaderStatus() {
        return entryLeaderStatus;
    }

    public void setEntryLeaderStatus(String entryLeaderStatus) {
        this.entryLeaderStatus = entryLeaderStatus;
    }

    public String getEntryCustomsStatus() {
        return entryCustomsStatus;
    }

    public void setEntryCustomsStatus(String entryCustomsStatus) {
        this.entryCustomsStatus = entryCustomsStatus;
    }

    public String getEntryNo() {
        return entryNo;
    }

    public void setEntryNo(String entryNo) {
        this.entryNo = entryNo;
    }

    public Date getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(Date entryTime) {
        this.entryTime = entryTime;
    }

    public String getEntryResult() {
        return entryResult;
    }

    public void setEntryResult(String entryResult) {
        this.entryResult = entryResult;
    }

    public String getEntryFailReason() {
        return entryFailReason;
    }

    public void setEntryFailReason(String entryFailReason) {
        this.entryFailReason = entryFailReason;
    }

    public String getPeopleConfirmStatus() {
        return peopleConfirmStatus;
    }

    public void setPeopleConfirmStatus(String peopleConfirmStatus) {
        this.peopleConfirmStatus = peopleConfirmStatus;
    }

    public Date getPeopleConfirmTime() {
        return peopleConfirmTime;
    }

    public void setPeopleConfirmTime(Date peopleConfirmTime) {
        this.peopleConfirmTime = peopleConfirmTime;
    }

    public Date getImportLeaderTime() {
        return importLeaderTime;
    }

    public void setImportLeaderTime(Date importLeaderTime) {
        this.importLeaderTime = importLeaderTime;
    }

    public Date getImportPeopleTime() {
        return importPeopleTime;
    }

    public void setImportPeopleTime(Date importPeopleTime) {
        this.importPeopleTime = importPeopleTime;
    }

    public String getImportLeaderStatus() {
        return importLeaderStatus;
    }

    public void setImportLeaderStatus(String importLeaderStatus) {
        this.importLeaderStatus = importLeaderStatus;
    }

    public String getImportPeopleStatus() {
        return importPeopleStatus;
    }

    public void setImportPeopleStatus(String importPeopleStatus) {
        this.importPeopleStatus = importPeopleStatus;
    }

    public String getImportNo() {
        return importNo;
    }

    public void setImportNo(String importNo) {
        this.importNo = importNo;
    }

    public Date getImportTime() {
        return importTime;
    }

    public void setImportTime(Date importTime) {
        this.importTime = importTime;
    }

    public String getIsDelivery() {
        return isDelivery;
    }

    public void setIsDelivery(String isDelivery) {
        this.isDelivery = isDelivery;
    }

    public String getOrderFinish() {
        return orderFinish;
    }

    public void setOrderFinish(String orderFinish) {
        this.orderFinish = orderFinish;
    }

    public Long getDriverId() {
        return driverId;
    }

    public void setDriverId(Long driverId) {
        this.driverId = driverId;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getDriverPhone() {
        return driverPhone;
    }

    public void setDriverPhone(String driverPhone) {
        this.driverPhone = driverPhone;
    }

    public Long getCarId() {
        return carId;
    }

    public void setCarId(Long carId) {
        this.carId = carId;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public String getVehiclePlate() {
        return vehiclePlate;
    }

    public void setVehiclePlate(String vehiclePlate) {
        this.vehiclePlate = vehiclePlate;
    }

    public String getLoadingAddress() {
        return loadingAddress;
    }

    public void setLoadingAddress(String loadingAddress) {
        this.loadingAddress = loadingAddress;
    }

    public String getUnloadingAddress() {
        return unloadingAddress;
    }

    public void setUnloadingAddress(String unloadingAddress) {
        this.unloadingAddress = unloadingAddress;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getDeclareId() {
        return declareId;
    }

    public void setDeclareId(String declareId) {
        this.declareId = declareId;
    }

    public String getDeclareType() {
        return declareType;
    }

    public void setDeclareType(String declareType) {
        this.declareType = declareType;
    }

    public String getDeclareName() {
        return declareName;
    }

    public void setDeclareName(String declareName) {
        this.declareName = declareName;
    }

    public String getIdno() {
        return idno;
    }

    public void setIdno(String idno) {
        this.idno = idno;
    }

    public String getShopNo() {
        return shopNo;
    }

    public void setShopNo(String shopNo) {
        this.shopNo = shopNo;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getOrgPutrecNo() {
        return orgPutrecNo;
    }

    public void setOrgPutrecNo(String orgPutrecNo) {
        this.orgPutrecNo = orgPutrecNo;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOrgScc() {
        return orgScc;
    }

    public void setOrgScc(String orgScc) {
        this.orgScc = orgScc;
    }

    public String getVeNo() {
        return veNo;
    }

    public void setVeNo(String veNo) {
        this.veNo = veNo;
    }

    public String getBtrnbBizModecd() {
        return btrnbBizModecd;
    }

    public void setBtrnbBizModecd(String btrnbBizModecd) {
        this.btrnbBizModecd = btrnbBizModecd;
    }

    public String getgFlow() {
        return gFlow;
    }

    public void setgFlow(String gFlow) {
        this.gFlow = gFlow;
    }

    public String getiEFlag() {
        return iEFlag;
    }

    public void setiEFlag(String iEFlag) {
        this.iEFlag = iEFlag;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public String getCarPool() {
        return carPool;
    }

    public void setCarPool(String carPool) {
        this.carPool = carPool;
    }

    public Double getSumAmt() {
        return sumAmt;
    }

    public void setSumAmt(Double sumAmt) {
        this.sumAmt = sumAmt;
    }

    public Double getSumGrossWt() {
        return sumGrossWt;
    }

    public void setSumGrossWt(Double sumGrossWt) {
        this.sumGrossWt = sumGrossWt;
    }

    public Double getSumNetWt() {
        return sumNetWt;
    }

    public void setSumNetWt(Double sumNetWt) {
        this.sumNetWt = sumNetWt;
    }

    public String getTrafMode() {
        return trafMode;
    }

    public void setTrafMode(String trafMode) {
        this.trafMode = trafMode;
    }

    public String getCurrCode() {
        return currCode;
    }

    public void setCurrCode(String currCode) {
        this.currCode = currCode;
    }

    public Long getPackNo() {
        return packNo;
    }

    public void setPackNo(Long packNo) {
        this.packNo = packNo;
    }

    public Date getDeclTime() {
        return declTime;
    }

    public void setDeclTime(Date declTime) {
        this.declTime = declTime;
    }

    public String getBillNo() {
        return billNo;
    }

    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }

    public String getVoyageNo() {
        return voyageNo;
    }

    public void setVoyageNo(String voyageNo) {
        this.voyageNo = voyageNo;
    }

    public String getGoodsNames() {
        return goodsNames;
    }

    public void setGoodsNames(String goodsNames) {
        this.goodsNames = goodsNames;
    }

    public String getBordersList() {
        return bordersList;
    }

    public void setBordersList(String bordersList) {
        this.bordersList = bordersList;
    }

    public String getBorderBuyGoodsList() {
        return borderBuyGoodsList;
    }

    public void setBorderBuyGoodsList(String borderBuyGoodsList) {
        this.borderBuyGoodsList = borderBuyGoodsList;
    }

    public String getSellGoodsList() {
        return sellGoodsList;
    }

    public void setSellGoodsList(String sellGoodsList) {
        this.sellGoodsList = sellGoodsList;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public CollageOrdersDto(Long id, Long tradeAreaId, String tradeAreaName, String orderNo, String cooperativeId, String cooperativeName, Double totalPrice, String entryPeopleStatus, String entryLeaderStatus, String entryCustomsStatus, String entryNo, Date entryTime, String entryResult, String entryFailReason, String peopleConfirmStatus, Date peopleConfirmTime, Date importLeaderTime, Date importPeopleTime, String importLeaderStatus, String importPeopleStatus, String importNo, Date importTime, String isDelivery, String orderFinish, Long driverId, String driverName, String driverPhone, Long carId, String carType, String vehiclePlate, String loadingAddress, String unloadingAddress, Long createBy, String createName, Date createTime, Long updateBy, String updateName, Date updateTime, Integer deleteStatus, String platSeqNo, String declareId, String declareType, String declareName, String idno, String shopNo, String shopName, String orgPutrecNo, String orgName, String orgScc, String veNo, String btrnbBizModecd, String gFlow, String iEFlag, String fieldCode, String fieldName, String customsCode, String carPool, Double sumAmt, Double sumGrossWt, Double sumNetWt, String trafMode, String currCode, Long packNo, Date declTime, String billNo, String voyageNo, String goodsNames, String bordersList, String borderBuyGoodsList, String sellGoodsList, Integer finishStatus) {
        this.id = id;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.orderNo = orderNo;
        this.cooperativeId = cooperativeId;
        this.cooperativeName = cooperativeName;
        this.totalPrice = totalPrice;
        this.entryPeopleStatus = entryPeopleStatus;
        this.entryLeaderStatus = entryLeaderStatus;
        this.entryCustomsStatus = entryCustomsStatus;
        this.entryNo = entryNo;
        this.entryTime = entryTime;
        this.entryResult = entryResult;
        this.entryFailReason = entryFailReason;
        this.peopleConfirmStatus = peopleConfirmStatus;
        this.peopleConfirmTime = peopleConfirmTime;
        this.importLeaderTime = importLeaderTime;
        this.importPeopleTime = importPeopleTime;
        this.importLeaderStatus = importLeaderStatus;
        this.importPeopleStatus = importPeopleStatus;
        this.importNo = importNo;
        this.importTime = importTime;
        this.isDelivery = isDelivery;
        this.orderFinish = orderFinish;
        this.driverId = driverId;
        this.driverName = driverName;
        this.driverPhone = driverPhone;
        this.carId = carId;
        this.carType = carType;
        this.vehiclePlate = vehiclePlate;
        this.loadingAddress = loadingAddress;
        this.unloadingAddress = unloadingAddress;
        this.createBy = createBy;
        this.createName = createName;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.platSeqNo = platSeqNo;
        this.declareId = declareId;
        this.declareType = declareType;
        this.declareName = declareName;
        this.idno = idno;
        this.shopNo = shopNo;
        this.shopName = shopName;
        this.orgPutrecNo = orgPutrecNo;
        this.orgName = orgName;
        this.orgScc = orgScc;
        this.veNo = veNo;
        this.btrnbBizModecd = btrnbBizModecd;
        this.gFlow = gFlow;
        this.iEFlag = iEFlag;
        this.fieldCode = fieldCode;
        this.fieldName = fieldName;
        this.customsCode = customsCode;
        this.carPool = carPool;
        this.sumAmt = sumAmt;
        this.sumGrossWt = sumGrossWt;
        this.sumNetWt = sumNetWt;
        this.trafMode = trafMode;
        this.currCode = currCode;
        this.packNo = packNo;
        this.declTime = declTime;
        this.billNo = billNo;
        this.voyageNo = voyageNo;
        this.goodsNames = goodsNames;
        this.bordersList = bordersList;
        this.borderBuyGoodsList = borderBuyGoodsList;
        this.sellGoodsList = sellGoodsList;
        this.finishStatus = finishStatus;
    }

    public CollageOrdersDto() {
    }
}
